## python-async-lru 1.0.3

=== Makefile ===
SOURCES = setup.py async_lru.py tests

test: lint
	pytest tests


lint: black flake8 mypy


mypy:
	#mypy --strict --show-error-codes async_lru.py tests


black:
	isort -c $(SOURCES)
	black --check $(SOURCES)

flake8:
	flake8 $(SOURCES)


fmt:
	isort $(SOURCES)
	black $(SOURCES)

=== requirements.txt ===
click==8.0.2  # https://stackoverflow.com/a/71674345/595220
flake8==3.8.4
pytest==6.1.2
pytest-asyncio==0.14.0
pytest-cov==2.10.1
pytest-runner==5.2
isort==5.6.4
black==20.8b1; implementation_name=="cpython"
mypy==0.790; implementation_name=="cpython"
-e .

=== debian/changelog ===
python-async-lru (1.0.3-5) unstable; urgency=medium

  * Use the shiny new pybuild-autopkgtest

 -- Timo Röhling <roehling@debian.org>  Thu, 08 Dec 2022 12:44:00 +0100

python-async-lru (1.0.3-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Use canonical URL in Vcs-Git.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 03:57:02 +0100

python-async-lru (1.0.3-3) unstable; urgency=medium

  * Ignore benign runtime warnings for not awaited coroutines
    (Closes: #1014484)

 -- Timo Röhling <roehling@debian.org>  Thu, 07 Jul 2022 00:45:21 +0200

python-async-lru (1.0.3-2) unstable; urgency=medium

  * Source only upload.

 -- Timo Röhling <roehling@debian.org>  Sun, 29 May 2022 22:29:14 +0200

python-async-lru (1.0.3-1) unstable; urgency=medium

  * Initial release (Closes: #1011374)

 -- Timo Röhling <roehling@debian.org>  Sat, 21 May 2022 11:40:33 +0200

=== debian/control ===
Source: python-async-lru
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Timo Röhling <roehling@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-runner <!nocheck>,
 python3-setuptools,
Homepage: https://github.com/aio-libs/async-lru
Standards-Version: 4.6.1
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild
Vcs-Git: https://salsa.debian.org/python-team/packages/python-async-lru.git
Vcs-Browser: https://salsa.debian.org/python-team/packges/python-async-lru

Package: python3-async-lru
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python 3 Asyncio LRU cache implementation
 Implements the Python 3 built-in function functools.lru_cache for asyncio, so
 you can cache the computation results of native coroutines in Python.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = async-lru

%:
	dh $@ --buildsystem=pybuild

## python-async-lru 2.0.3

=== requirements.txt ===
-e .

coverage==7.2.7
pytest==7.4.0
pytest-asyncio==0.21.0
pytest-cov==4.1.0
pytest-timeout==2.1.0

=== debian/changelog ===
python-async-lru (2.0.3-1) unstable; urgency=medium

  * New upstream version 2.0.3
  * Refresh patch
  * Pass --asyncio-mode directly so autopkgtest works

 -- Timo Röhling <roehling@debian.org>  Wed, 12 Jul 2023 23:33:44 +0200

python-async-lru (2.0.2-1) unstable; urgency=medium

  * New upstream version 2.0.2
  * Bump Standards-Version to 4.6.2

 -- Timo Röhling <roehling@debian.org>  Mon, 12 Jun 2023 22:42:27 +0200

## python-async-lru 2.0.4

=== requirements.txt ===
-e .

coverage==7.2.7
pytest==7.4.0
pytest-asyncio==0.21.1
pytest-cov==4.1.0
pytest-timeout==2.1.0

=== debian/changelog ===
python-async-lru (2.0.4-1) unstable; urgency=medium

  * New upstream version 2.0.4
  * Refresh patch

 -- Timo Röhling <roehling@debian.org>  Sat, 29 Jul 2023 21:53:54 +0200

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,9 @@
  python3-pytest-asyncio <!nocheck>,
  python3-pytest-runner <!nocheck>,
  python3-setuptools,
+ python3-typing-extensions,
 Homepage: https://github.com/aio-libs/async-lru
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-async-lru.git

=== debian/watch ===
version=4
opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1% \
 https://github.com/aio-libs/async-lru/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## python-async-lru 2.0.5

=== Makefile ===
# Some simple testing tasks (sorry, UNIX only).

.PHONY: init setup
init setup:
	pip install -r requirements-dev.txt
	pre-commit install

.PHONY: fmt
fmt:
	python -m pre_commit run --all-files --show-diff-on-failure

.PHONY: lint
lint: fmt
	mypy

.PHONY: test
test:
	pytest -s ./tests/

=== requirements.txt ===
-e .

coverage==7.6.12
pytest==8.3.5
pytest-asyncio==0.25.3
pytest-cov==6.0.0
pytest-timeout==2.3.1

=== debian/changelog ===
python-async-lru (2.0.5-1) unstable; urgency=medium

  * New upstream version 2.0.5
  * Refresh patches (no functional changes)
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Sat, 05 Apr 2025 14:58:52 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Timo Röhling <roehling@debian.org>
+Uploaders:
+ Timo Röhling <roehling@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -13,7 +14,7 @@
  python3-setuptools,
  python3-typing-extensions,
 Homepage: https://github.com/aio-libs/async-lru
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-async-lru.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = async-lru
export PYBUILD_TEST_ARGS = --asyncio-mode=auto

%:
	dh $@ --buildsystem=pybuild

## python-async-lru 2.1.0

=== requirements.txt ===
-e .
-r requirements-test.txt

coverage==7.13.1
pytest-cov==7.0.0

=== debian/changelog ===
python-async-lru (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0
  * Update patches (no functional changes)
  * Bump Standards-Version to 4.7.3
  * Migrate debian/watch to version 5 format

 -- Timo Röhling <roehling@debian.org>  Sun, 08 Feb 2026 12:35:41 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python3-setuptools,
  python3-typing-extensions,
 Homepage: https://github.com/aio-libs/async-lru
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-async-lru.git

=== debian/watch ===
Version: 5

Template: Github
Owner: aio-libs
Project: async-lru
